---
title: "Table of Contents"
order: 1
published: true
type:
---

* [00 About this Tutorial](00-About.md)
* [01 Qlik Sense Extension Tutorial](01-Qlik-Sense-Extension-Tutorial.md)
* [02 Introduction to Qlik Sense Visualization Extensions](02-Introduction-to-Qlik-Sense-Visualization-Extensions.md)
* [03 Let's Get Started: Hello World Example](03-Lets-Get-Started--Hello-World-Example.md)
* [04 Debugging and Web Developer Tools] (04-Debugging-and-Web-Developer-Tools.md)
	* console.x()
	* Debugging
	* Object inspection
* [05 Improving the Web Hello World Experience](05-Improving-the-Hello-World-Experience.md)
	* Make _Hello World_ dynamic
	* Define a preview image
* 06 An Introduction to Using Properties
	* Skeleton
	* Re-using properties
	* Basic custom property types
	* How to reference properties
* XX More on Custom Properties
	* More components
	* Show conditions
	* Tips to structure your property definitions
	* Tips to organize your references
	* Use external sources
* XX Hello Data
* XX Working with Data
	* Understanding data structure of Qlik objects / Qlik's internal data structure
	* qHyperCube
	* qListObject
	* qPivotTable
	* qExpressions
* XX Including External Resources
* XX More on HyperCubes
* XX The BackendAPI
* XX The Selection Model
* XX Working with Variables
	* Creating variables manually and programmatically
	* Setting variable definitions
	* Getting variable results
* XX Working with a ListObjectDefinition
* XX Working with a PivotTableDefinition
* XX Working with Meta Data
* XX Talking to the Repository API
* XX Setting up a Robust Development Environment
	* Using Less
	* Automatically deploy and zip
	* Versioning
* XX Two Approaches, the “Classic” One & the Angular Way
* XX The Angular Way: Basics
* XX The Angular Way: Directives
* XX The Angular Way: Filter
* XX The Angular Way: Services
* XX Advanced Techniques
	* Modifying Custom Properties
* [Appendix:](1000-Appendix.md)
	* [Resources](1001-Appendix-Resources.md)
	* branch.qlik.com
	* Basic Introduction to git & GitHub
	* How to publish your extension to GitHub & branch.qlik.com
	* Npm Integration
	* Programmatic Deployment of Qlik Sense Extensions
	* What's New
		* [What's New in Qlik Sense 1.1](2011-Appendix-Whats-New-in-Qlik-Sense-1.1.md)
	* Qlik Sense Extension Related Resources
* How To
	* [... use Bootstrap styles in Qlik Sense visualization extensions](5000-Using-Bootstrap-CSS-in-Visualization-Extensions.md)
* XX Tools
	* Tools: Manage Your Extensions